Skip to content

Update a verification request

Request

Update an existing driver verification request. Only non-expired requests can be updated.

Security
OAuth2
Path
uuidstring, (uuid)required

Unique identifier of the verification request

Bodyapplication/jsonrequired
loadNumberstring, <= 100 characters

The load number associated with this verification request

Example:"LOAD-12345"
driverPhoneNumberstring, <= 15 characters

The driver's phone number

Example:"+15551234567"
documentRequestedstring

The type of document being requested from the driver

Enum:"side_of_truck""photograph""empty_trailer""team_drivers"
Example:"photograph"
dispatcherEmailstring, (email), <= 255 characters

Email address of the dispatcher to notify

Example:"dispatcher@example.com"
addressobject(Address)

Address information

curl -i -X PATCH \
  'https://developer.truckertools.com/_mock/apis/proactivedriververification/proactive-driver-verification/v1/requests/{uuid}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "loadNumber": "LOAD-12345",
    "driverPhoneNumber": "+15551234567",
    "documentRequested": "photograph",
    "dispatcherEmail": "dispatcher@example.com",
    "address": {
      "address": "123 Main St",
      "city": "Chicago",
      "state": "IL",
      "country": "US",
      "postalCode": "60601"
    }
  }'

Responses

Verification request updated successfully

Bodyapplication/json
dataobject(VerificationRequest)
Response
{ "data": { "uuid": "550e8400-e29b-41d4-a716-446655440000", "loadNumber": "LOAD-12345", "driverPhoneNumber": "+15551234567", "address": { … }, "lat": 41.8781, "lon": -87.6298, "dispatcherEmail": "dispatcher@example.com", "alerts": { … }, "createdAt": "2026-06-01T14:30:00Z", "updatedAt": "2026-06-01T15:45:00Z", "response": { … }, "documents": [ … ] } }